Loading...
Searching...
No Matches
DXGI_ADAPTER_DESC Struct Reference

`#include <mini_d3d12.h>`

## Public Attributes

WCHAR | Description [128]
UINT | VendorId
UINT | DeviceId
UINT | SubSysId
UINT | Revision
SIZE_T | DedicatedVideoMemory
SIZE_T | DedicatedSystemMemory
SIZE_T | SharedSystemMemory
LUID | AdapterLuid

## Detailed Description

Definition at line 5933 of file mini_d3d12.h.

## Member Data Documentation

## Description

WCHAR DXGI_ADAPTER_DESC::Description[128]

Definition at line 5934 of file mini_d3d12.h.

## VendorId

UINT DXGI_ADAPTER_DESC::VendorId

Definition at line 5935 of file mini_d3d12.h.

## DeviceId

UINT DXGI_ADAPTER_DESC::DeviceId

Definition at line 5936 of file mini_d3d12.h.

## SubSysId

UINT DXGI_ADAPTER_DESC::SubSysId

Definition at line 5937 of file mini_d3d12.h.

## Revision

UINT DXGI_ADAPTER_DESC::Revision

Definition at line 5938 of file mini_d3d12.h.

## DedicatedVideoMemory

SIZE_T DXGI_ADAPTER_DESC::DedicatedVideoMemory

Definition at line 5939 of file mini_d3d12.h.

## DedicatedSystemMemory

SIZE_T DXGI_ADAPTER_DESC::DedicatedSystemMemory

Definition at line 5940 of file mini_d3d12.h.

## SharedSystemMemory

SIZE_T DXGI_ADAPTER_DESC::SharedSystemMemory

Definition at line 5941 of file mini_d3d12.h.

## AdapterLuid

LUID DXGI_ADAPTER_DESC::AdapterLuid

Definition at line 5942 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h